curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/validators/rewards-aggregate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validator": {
"validator_identifiers": [
1
]
},
"range": {
"evaluation_window": "24h"
},
"chain": "mainnet"
}
'{
"data": {
"total": "<string>",
"total_reward": "<string>",
"total_penalty": "<string>",
"attestation": {
"head": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"source": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"target": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"inactivity_leak_penalty": "<string>",
"total": "<string>",
"inclusion_delay": {
"total": "<string>",
"missed_reward": "<string>"
}
},
"sync_committee": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"proposal": {
"total": "<string>",
"execution_layer_reward": "<string>",
"attestation_inclusion_reward": "<string>",
"sync_inclusion_reward": "<string>",
"slashing_inclusion_reward": "<string>",
"missed_cl_reward": "<string>",
"missed_el_reward": "<string>"
},
"total_missed": "<string>",
"finality": "not_finalized"
},
"range": {
"slot": {
"start": 1,
"end": 1
},
"epoch": {
"start": 1,
"end": 1
},
"timestamp": {
"start": 1,
"end": 1
}
}
}Returns the cumulative rewards for a set for a known collection or group of validators. Known collections are referenced by index, public key, deposit address, or withdrawal address.
Use Rewards for a rewards breakdown of each validator.
Note: Only finalized epochs are supported for rewards data.
Attribution Required: If you display BeaconScore data publicly, you must include appropriate attribution. See our BeaconScore License and License Materials for badges and usage guidelines.
curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/validators/rewards-aggregate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validator": {
"validator_identifiers": [
1
]
},
"range": {
"evaluation_window": "24h"
},
"chain": "mainnet"
}
'{
"data": {
"total": "<string>",
"total_reward": "<string>",
"total_penalty": "<string>",
"attestation": {
"head": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"source": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"target": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"inactivity_leak_penalty": "<string>",
"total": "<string>",
"inclusion_delay": {
"total": "<string>",
"missed_reward": "<string>"
}
},
"sync_committee": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"proposal": {
"total": "<string>",
"execution_layer_reward": "<string>",
"attestation_inclusion_reward": "<string>",
"sync_inclusion_reward": "<string>",
"slashing_inclusion_reward": "<string>",
"missed_cl_reward": "<string>",
"missed_el_reward": "<string>"
},
"total_missed": "<string>",
"finality": "not_finalized"
},
"range": {
"slot": {
"start": 1,
"end": 1
},
"epoch": {
"start": 1,
"end": 1
},
"timestamp": {
"start": 1,
"end": 1
}
}
}Free selectors available to all users:
Premium selectors for Scale & Enterprise plans (https://beaconcha.in/pricing):
sub_entity for more specific filtering. Matching is case-insensitive.Note: The set of validators matched by deposit_address and withdrawal selectors is updated once per epoch (~6.4 minutes). Newly deposited validators may take up to one epoch to appear in query results.
Note: The set of validators matched by entity selector is updated once per day.
Show child attributes
Specify a date range to receive aggregated data for that period — ideal for use cases like daily income tracking for income reporting.
Support for querying arbitrary time ranges using Unix timestamps, epochs, or slots will be coming soon, exclusively for Scale and Enterprise plans (https://beaconcha.in/pricing).
Show child attributes
The Ethereum chain to query.
mainnet, hoodi Was this page helpful?